unit webmod;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp, Db, DBWeb, DSProd,
  DBClient, MConnect, SConnect, ImgButtons, MidItems, CompProd, PagItems,
  MidProd, XMLBrokr;

type
  TWebModule4 = class(TWebModule)
    SocketConnection1: TSocketConnection;
    XMLBroker1: TXMLBroker;
    MidasPageProducer1: TMidasPageProducer;
    DataForm1: TDataForm;
    DataGrid1: TDataGrid;
    DataNavigator1: TDataNavigator;
    FieldGroup1: TFieldGroup;
    ImgDataNavigator1: TImgDataNavigator;
    FirstButton1: TFirstButton;
    PriorButton1: TPriorButton;
    NextButton1: TNextButton;
    LastButton1: TLastButton;
    UndoButton1: TUndoButton;
    PostButton1: TPostButton;
    ApplyUpdatesButton1: TApplyUpdatesButton;
    CustNo: TFieldText;
    Company: TFieldText;
    LastInvoiceDate: TFieldText;
    FieldStatus1: TFieldStatus;
    FieldSelectOptions: TFieldSelectOptions;
    procedure WebModule4WebActionItem3Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure WebModule4WebActionItem1Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure WebModule4WebActionItem2Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule4: TWebModule4;

implementation

{$R *.DFM}

procedure TWebModule4.WebModule4WebActionItem3Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  Response.Content :=
    Response.Content  + '<P>' + 
    '<H1>Hello, Edinburgh!</H1>'
end;

procedure TWebModule4.WebModule4WebActionItem1Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  Response.Content :=
    '{' + Request.Query + '}' +
    '[' + Request.Content + ']';
  {
  try
    ClientDataSetCustomer.Open;
    ClientDataSetOrders.Open;
    Response.Content :=
      DataSetPageProducer1.Content + '<P>' +
      DataSetTableProducer1.Content;
  finally
    ClientDataSetCustomer.Close;
    ClientDataSetOrders.Close;
    SocketConnection1.Connected := False;
  end  }
end;

procedure TWebModule4.WebModule4WebActionItem2Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  Response.Content :=
    MidasPageProducer1.Content
end;

end.
